=== debian/changelog ===
tf5 (5.0beta8-12build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:06 +1100

tf5 (5.0beta8-12build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:24:28 +0000

tf5 (5.0beta8-12) unstable; urgency=medium

  * Fix name of --disable-symlink option passed to configure to avoid
    creating a spurious src/default symlink, which prevented tf5 from
    building again after debian/rules binary; debian/rules clean.
    (Closes: #1045709)
  * Convert to dh_installalternatives instead of manually-managed
    maintainer scripts.

 -- Russ Allbery <rra@debian.org>  Sun, 22 Oct 2023 11:19:24 -0700

tf5 (5.0beta8-11) unstable; urgency=medium

  * Port to PCRE2.  (Closes: #999943)
  * Build-depend on libncurses-dev instead of libncurses5-dev.
  * Drop build dependency on autoconf, since this is now part of the
    debhelper dependencies and the package build does not call autoconf
    directly, only via the standard debhelper tool.
  * Update lintian overrides for renamed tags and new syntax.
  * Update standards version to 4.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 17 Jul 2023 20:48:57 -0700

tf5 (5.0beta8-10) unstable; urgency=medium

  * Add patch to bring the main_loop function declaration into scope to
    suppress a warning from the build log scanner.
  * Add patch to pass LDFLAGS to the compiler when building makehelp.
    This binary isn't installed, so this doesn't really matter, but it
    suppresses a warning from the build log scanner.
  * Change the Debian packaging branch to debian/unstable.
  * Change canonical packaging repository to Salsa.
  * Update standards version to 4.5.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 26 Dec 2020 13:32:39 -0800

tf5 (5.0beta8-9) unstable; urgency=medium

  * Build against OpenSSL instead of GnuTLS, given the new ftp-master
    policy that OpenSSL can be treated as a system library and thus
    GPL-licensed software may be linked with it.  (Closes: #947734)
  * Add lintian overrides for possible-gpl-code-linked-with-openssl and
    for tags asking for various things to be forwarded to upstream (since
    upstream is quite dead).

 -- Russ Allbery <rra@debian.org>  Sat, 14 Nov 2020 16:37:34 -0800

tf5 (5.0beta8-8) unstable; urgency=medium

  * Fix FTBFS with GCC 10.  (Closes: #957873)
  * Fix spelling error in man page, caught by Lintian.
  * Convert the source package to a dgit debrebase workflow.
  * Update debhelper compatibility level to V13.
    - Depend on debhelper-compat instead of using debian/compat.
  * Update standards version to 4.5.0.
    - Add Rules-Requires-Root: no.
  * Add override for package-contains-documentation-outside-usr-share-doc.
    /usr/share/tf5/tf-lib/README documents the contents of that directory.

 -- Russ Allbery <rra@debian.org>  Sun, 10 May 2020 16:05:27 -0700

tf5 (5.0beta8-7) unstable; urgency=medium

  * Update debhelper compatibility level to V11.
    - Use dh_autoreconf but disable running autoheader.
  * Update standards version to 4.1.4.
    - Use https for Format URL in debian/copyright.
  * Update debian/watch to version 4 and use https.

 -- Russ Allbery <rra@debian.org>  Sat, 26 May 2018 19:03:58 -0700

tf5 (5.0beta8-6) unstable; urgency=medium

  * Apply patch from Chris Lamb for reproducible build.  (Closes: #834276)
  * Add a desktop file, although set it to NoDisplay since TinyFugue lacks
    an icon and it's not clear people would start it from the window
    manager menus.  (I considered making an icon from the graphic on the
    TinyFugue home page, but the licensing is unclear.)
  * Remove menu file in favor of the new desktop file.
  * Fix various spelling errors in the binary, caught by Lintian.
  * Enable all hardening flags.
  * Switch to separate Debian patches for each upstream change, managed
    using gbp pq.
  * Switch to the DEP-14 branch layout and add debian/gbp.conf reflecting
    that layout.  Update Vcs-Git accordingly.
  * Use HTTPS for Vcs-Git and Vcs-Browser URLs.
  * Fix duplicated license paragraph in debian/copyright.
  * Run wrap-and-sort -ast on the packaging files.
  * Remove explicit setting for xz compression, which is now the default.
  * Update standards version to 3.9.8.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Aug 2016 14:27:28 -0700

tf5 (5.0beta8-5) unstable; urgency=low

  * Change build dependency to libgnutls-openssl-dev to assist with a
    GnuTLS transition.  (Closes: #731558)
  * Update debhelper compatibility level to V9.
    - Enable hardening flags, including bindnow and PIE.
  * Update watch file based on a revision by Bart Martens to use the new
    path to the SourceForge redirector.  Add some comments about choices
    of mangling and file extension matching.
  * Install upstream CREDITS in the package documentation directory.
  * Update standards version to 3.9.5.
    - Rewrite debian/copyright in copyright-format 1.0.
  * Convert to Debian source package format 3.0 (quilt) with a single
    merged Debian patch and use xz compression for the *.debian.tar.xz
    file.
  * Add information about SSL/TLS and (lack of) Unicode support to the
    package long description.
  * Fix a spelling error in the man page caught by Lintian.
  * Update Vcs-Git URL and add Vcs-Browser control field.

 -- Russ Allbery <rra@debian.org>  Sat, 07 Dec 2013 13:10:14 -0800

tf5 (5.0beta8-4) unstable; urgency=low

  * Update debhelper compatibility level to V7.
    - Use debhelper rule minimization with overrides.
    - List extra files to remove in debian/clean.
    - Install README via debian/docs instead of dh_installdocs argument.
    - Add ${misc:Depends} dependency.
  * Remove the tf5. prefix from packaging files.  We only generate one
    binary package and will for the forseeable future, so no need for the
    package prefix.

