=== debian/control ===
Source: tf5
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libpcre2-dev,
 libssl-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Homepage: http://tinyfugue.sourceforge.net/
Vcs-Git: https://salsa.debian.org/rra/tf5.git
Vcs-Browser: https://salsa.debian.org/rra/tf5

Package: tf5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 spell,
Description: text-based MU* and chatserver client
 TinyFugue is a text-based, line-based client designed for connecting to
 most flavors of MU* servers (TinyMUSH, TinyMUX, LP, Diku, etc.) or any
 telnet-based chatserver.  It includes support for 256-color terminals,
 MCCP versions 1 and 2, a powerful trigger and scripting language, and
 many other features.  Encryption of communications with SSL/TLS is
 supported, but not validation of certificates.  Unicode is not currently
 supported.
 .
 This package is the current development version of TinyFugue (major
 version 5).  For the current stable version (major version 4), install
 the "tf" package instead.
