=== debian/watch ===
# -*- conf -*-
#
# New packaging without any Debian history would rewrite the beta versions to
# ~betaN instead of betaN, but that wasn't the versioning that was used in the
# Debian package originally and therefore can't easily be introduced now.  If
# version 5.0 is ever released (which looks unlikely), it will require special
# handling.

version=4
opts="uversionmangle=s/^(\d)(\d)/$1.$2/;s/b(\d)/beta$1/" \
    https://qa.debian.org/watch/sf.php/tinyfugue/tf-(5[^\-]*)\.tar\.(?:gz|xz)
